Support » Fixing WordPress » Dashboard browser nag is wrong

  • Every time I login to some of my websites (not all) I get a notice saying ‘You are using an insecure browser!’ but I am using the latest Firefox (56.0.1 64-bit). I can dismiss it or deselect it in Screen Options but why is it wrong? Is it a WP bug or a problem with Firefox?

Viewing 8 replies - 1 through 8 (of 8 total)
  • Hello PressGang,
    Please see the below link, I hope it will help you https://developers.google.com/web/updates/2016/10/avoid-not-secure-warn

    Thanks

    Thanks dineshkashera,

    I’m not referring to the https warning in Firefox/Chrome, I’m referring to the Dashboard browser nag in WordPress, the one that says …

    ‘It looks like you’re using an insecure version of Firefox. Using an outdated browser makes your computer unsafe. For the best WordPress experience, please update your browser.

    Update Firefox or learn how to browse happy.’

    Moderator Steve Stern

    (@sterndata)

    This would seem to be a WP problem. The code is here:

    https://developer.wordpress.org/reference/functions/wp_check_browser_version/

    I’d ignore it for a day in case the database just needs to be updated.

    Thanks Steve,

    It’s actually been going on for a few days and the weirdest thing is that it doesn’t happen on every WP site even though they are all the latest version. I have seen other reports of the same problem elsewhere, dating back several years. I was wondering whether the 64-bit user agent was throwing it out.

    Moderator Steve Stern

    (@sterndata)

    Are you doing anything to modify the user agent string? I can’t reproduce this using the latest version of FF, 56.0 (64-bit)

    No I’m not changing the user agent string. I also clean my FF cache several times a day.

    Just to show you what I mean here is a screenshot …

    https://ibb.co/cw8ybG

    PressGang

    (@pressgang)

    The thick plottens!

    Having cleared all browser caches and run CCleaner, I’ve just logged into a site with Chrome (61.0.3163.100 64-bit) and I still get the warning about Firefox being out of date, in Chrome!

    This suggests to me that WordPress is caching my activity but not updating that cache as circumstances change, something that nullifies the point of the warning. This is looking very like a bug but I’m reluctant to report it as such unless I hear that anyone else has experienced the same.

    Here’s a link to a screenshot of Chrome displaying a Firefox warning …

    https://ibb.co/cqL5rR

Viewing 8 replies - 1 through 8 (of 8 total)
  • You must be logged in to reply to this topic.